Subject: Re: [MMUSIC] Question about 3388bis-04

From: Gonzalo Camarillo <[email-masked]>
Date: Sun, 06 Dec 2009 22:23:41 +0200

Hi,

the reason is simply to keep people from choosing unnecessarily long 
names. Nothing more important than that is lurking behind that statement :o)

Cheers,

Gonzalo

Jean-Francois Mule wrote:
> Ali asked:
>> The new version has a "SHOULD" language saying that:
>>
>> In Section 12:
>>
>>    o  Token to be used within the group attribute.  This token may
>> be of
>>       any length, but SHOULD be no more than four characters long.
>>
>> Any particular reason why this was added?
> 
> I screened the IESG comments recently received on the draft since I
> recalled some comments that led to the reference of RFC 5234 and 4566
> for the definition of token in aBNF.  I did not find any justifications
> though for recommending the token length be no more than 4 chars.
> 
> One reason might be to limit the variable type to optimize the
> implementations but that seems far reaching given the SDP parsers I
> know.
> 
> Jean-Francois.
>